/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.util;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;

/**
 * Utility methods for {@link EObject} selections.
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @levd.rating RED Rev:
 */
public final class EObjectSelectionUtils {

	/**
	 * Returns the first selected EObject or <code>null</code> if no EObject is
	 * selected.
	 */
	public static EObject getFirstElement(ISelection selection) {
		if (selection instanceof IStructuredSelection && !selection.isEmpty()) {
			if (((IStructuredSelection) selection).getFirstElement() instanceof EObject) {
				return (EObject) ((IStructuredSelection) selection)
						.getFirstElement();
			}
		}
		return null;
	}
}
